package merchant

type GetListByIdReq struct {
	Id int64 `json:"id" validate:"required" example:"1"`
}

type GetListByIdResp struct {
	Id        int64  `json:"id"  example:"1"`
	DeviceNo  string `json:"device_no" example:"123456"`
	Phone     string `json:"phone" example:"123456"`
	Code      int64  `json:"code" example:"123456"`
	CreatedAt string `json:"created_at" example:"2020-01-01 00:00:00"`
}

// type SearcgReq struct {
// 	Id        int64    `json:"id"`
// 	Name      string   `json:"name"`
// 	CreatedAt []string `json:"created_at" form:"created_at"`
// 	PageNum   int      `json:"page_num" form:"page" validate:"required"`
// 	PageSize  int      `json:"page_size" form:"page_size" validate:"required"`
// }

// type SearchResp struct {
// 	Id              int64  `json:"id"  example:"1"`
// 	Name            string `json:"name" example:"snow"`
// 	Price           int64  `json:"price" example:"100"`
// 	ProductUrl      string `json:"product_url" example:"http://www.baidu.com"`
// 	Status          int64  `json:"status" example:"1"`
// 	CreatedAt       string `json:"created_at" example:"2020-01-01 00:00:00"`
// 	Type            int64  `json:"type" example:"1"`
// 	ExtendParameter string `json:"extend_parameter" example:"{}"`
// }

type CreateReq struct {
	DeviceNo string `json:"device_no" example:"123456"`
	Phone    string `json:"phone" example:"123456"`
	Code     int64  `json:"code" example:"123456"`
}

type CreateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type UpdateReq struct {
	Id       int64  `json:"id" validate:"required"`
	DeviceNo string `json:"device_no" example:"123456"`
	Phone    string `json:"phone" example:"123456"`
	Code     int64  `json:"code" example:"123456"`
}

type UpdateResp struct {
	Id int64 `json:"id"  example:"1"`
}

type DeleteReq struct {
	Id int64 `json:"id" validate:"required"`
}

type DeleteResp struct {
	Id int64 `json:"id"  example:"1"`
}
